Bug 963552 - spacewalk-channel prints username prompt on stdout
spacewalk-channel prints username prompt on stdout
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.10
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: space20
  Show dependency treegraph
 
Reported: 2013-05-16 03:06 EDT by Masatake YAMATO
Modified: 2013-08-05 02:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 02:37:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch fixing the bug (1.37 KB, patch)
2013-05-16 03:06 EDT, Masatake YAMATO
no flags Details | Diff

  None (edit)
Description Masatake YAMATO 2013-05-16 03:06:22 EDT
Created attachment 748620 [details]
a patch fixing the bug

Description of problem:

In following command line:

 $ spacewalk-channle -L > FILE

username prompt is never shown. The user cannot know spacewalk-command waits the user input one's username.


Version-Release number of selected component (if applicable):

I've checked on rhn-channel shipped as part of rhel6.4.
However, as far as reading source code, this is reprodcable on the git HEAD of spacewalk.git.


How reproducible:


Steps to Reproduce:
1. $ spacewalk-channle -L > FILE
2.
3.
  
Actual results:

$ spacewalk-channle -L > FILE

Expected results:

$ spacewalk-channle -L > FILE
Username: 

Additional info:
See the patch.
Comment 1 Tomáš Kašpárek 2013-07-09 08:10:03 EDT
Hello Masatake,

printing prompt for username on stderr is not valid solution, therefore I haven't used your proposed patch.

Fixed in spacewalk.git: 2644c63c8da0ff4abe4668442ca511e8a3fea4ac
Comment 2 Masatake YAMATO 2013-07-09 23:09:09 EDT
I read your patch. Your fix is better than mine. Thanks.
Comment 4 Tomáš Kašpárek 2013-08-05 02:37:22 EDT
Fix for this issue is fixed in Spacewalk 2.0 therefore closing this as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.